Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenEditorViewImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenEditorViewImpl

All Implemented Interfaces:
  EObject, GenEditorView, InternalEObject, Notifier

public class GenEditorViewImpl
extends EObjectImpl
implements GenEditorView

An implementation of the model object 'Gen Editor View'.

The following features are implemented:

- `Editor Gen`
- `Package Name`
- `Action Bar Contributor Class Name`
- `Class Name`
- `Icon Path`
- `ID`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `ACTION_BAR_CONTRIBUTOR_CLASS_NAME_EDEFAULT` The default value of the '`Action Bar Contributor Class Name`' attribute
`protected java.lang.String` `actionBarContributorClassName` The cached value of the '`Action Bar Contributor Class Name`' attribute
`protected static java.lang.String` `CLASS_NAME_EDEFAULT` The default value of the '`Class Name`' attribute
`protected java.lang.String` `className` The cached value of the '`Class Name`' attribute
`protected static java.lang.String` `ICON_PATH_EDEFAULT` The default value of the '`Icon Path`' attribute
`protected java.lang.String` `iconPath` The cached value of the '`Icon Path`' attribute
`protected java.lang.String` `iD` The cached value of the '`ID`' attribute
`protected static java.lang.String` `ID_EDEFAULT` The default value of the '`ID`' attribute
`protected static java.lang.String` `PACKAGE_NAME_EDEFAULT` The default value of the '`Package Name`' attribute
`protected java.lang.String` `packageName` The cached value of the '`Package Name`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenEditorViewImpl()`

Method Summary
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getActionBarContributorClassName()` Returns the value of the 'Action Bar Contributor Class Name' attribute
`java.lang.String` `getActionBarContributorClassNameGen()`
`java.lang.String` `getActionBarContributorQualifiedClassName()`
`java.lang.String` `getClassName()` Returns the value of the 'Class Name' attribute
`java.lang.String` `getClassNameGen()`
`GenEditorGenerator` `getEditorGen()`
`java.lang.String` `getIconPath()` Returns the value of the 'Icon Path' attribute
`java.lang.String` `getIconPathGen()`
`java.lang.String` `getIconPathX()` Processes keywords that are part of iconPath, to avoid serializing processed values.
`java.lang.String` `getID()` Returns the value of the 'ID' attribute
`java.lang.String` `getIDGen()`
`java.lang.String` `getPackageName()` Returns the value of the 'Package Name' attribute
`java.lang.String` `getPackageNameGen()`
`java.lang.String` `getQualifiedClassName()`
`void` `setActionBarContributorClassName(java.lang.String newActionBarContributorClassName)`
`void` `setClassName(java.lang.String newClassName)`
`void` `setIconPath(java.lang.String newIconPath)`
`void` `setID(java.lang.String newID)`
`void` `setPackageName(java.lang.String newPackageName)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### PACKAGE_NAME_EDEFAULT

    protected static final java.lang.String PACKAGE_NAME_EDEFAULT

  The default value of the '`Package Name`' attribute.

  See Also:
    `GenEditorViewImpl.getPackageName()`
  ** Generated **
  Ordered:

### packageName

    protected java.lang.String packageName

  The cached value of the '`Package Name`' attribute.

  See Also:
    `GenEditorViewImpl.getPackageName()`
  ** Generated **
  Ordered:

### ACTION_BAR_CONTRIBUTOR_CLASS_NAME_EDEFAULT

    protected static final java.lang.String ACTION_BAR_CONTRIBUTOR_CLASS_NAME_EDEFAULT

  The default value of the '`Action Bar Contributor Class Name`' attribute.

  See Also:
    `GenEditorViewImpl.getActionBarContributorClassName()`
  ** Generated **
  Ordered:

### actionBarContributorClassName

    protected java.lang.String actionBarContributorClassName

  The cached value of the '`Action Bar Contributor Class Name`' attribute.

  See Also:
    `GenEditorViewImpl.getActionBarContributorClassName()`
  ** Generated **
  Ordered:

### CLASS_NAME_EDEFAULT

    protected static final java.lang.String CLASS_NAME_EDEFAULT

  The default value of the '`Class Name`' attribute.

  See Also:
    `GenEditorViewImpl.getClassName()`
  ** Generated **
  Ordered:

### className

    protected java.lang.String className

  The cached value of the '`Class Name`' attribute.

  See Also:
    `GenEditorViewImpl.getClassName()`
  ** Generated **
  Ordered:

### ICON_PATH_EDEFAULT

    protected static final java.lang.String ICON_PATH_EDEFAULT

  The default value of the '`Icon Path`' attribute.

  See Also:
    `GenEditorViewImpl.getIconPath()`
  ** Generated **
  Ordered:

### iconPath

    protected java.lang.String iconPath

  The cached value of the '`Icon Path`' attribute.

  See Also:
    `GenEditorViewImpl.getIconPath()`
  ** Generated **
  Ordered:

### ID_EDEFAULT

    protected static final java.lang.String ID_EDEFAULT

  The default value of the '`ID`' attribute.

  See Also:
    `GenEditorViewImpl.getID()`
  ** Generated **
  Ordered:

### iD

    protected java.lang.String iD

  The cached value of the '`ID`' attribute.

  See Also:
    `GenEditorViewImpl.getID()`
  ** Generated **
  Ordered:

Constructor Detail

### GenEditorViewImpl

    protected GenEditorViewImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  ** Generated **

### getEditorGen

    public GenEditorGenerator getEditorGen()

  Specified by:
    `getEditorGen` in interface `GenEditorView`
  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenEditorView_EditorGen()`, `GenEditorGenerator.getEditor()`
  ** Generated **

### getPackageNameGen

    public java.lang.String getPackageNameGen()

  ** Generated **

### getPackageName

    public java.lang.String getPackageName()

  Description copied from interface: `GenEditorView`
  Returns the value of the 'Package Name' attribute.

  If the meaning of the 'Package Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getPackageName` in interface `GenEditorView`
  Returns:
    the value of the 'Package Name' attribute.
  See Also:
    `GenEditorView.setPackageName(String)`, `GMFGenPackage.getGenEditorView_PackageName()`

### setPackageName

    public void setPackageName(java.lang.String newPackageName)

  Specified by:
    `setPackageName` in interface `GenEditorView`
  Parameters:
    `newPackageName` - the new value of the 'Package Name' attribute.
  See Also:
    `GenEditorView.getPackageName()`
  ** Generated **

### getActionBarContributorClassNameGen

    public java.lang.String getActionBarContributorClassNameGen()

  ** Generated **

### getActionBarContributorClassName

    public java.lang.String getActionBarContributorClassName()

  Description copied from interface: `GenEditorView`
  Returns the value of the 'Action Bar Contributor Class Name' attribute.

  If the meaning of the 'Action Bar Contributor Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getActionBarContributorClassName` in interface `GenEditorView`
  Returns:
    the value of the 'Action Bar Contributor Class Name' attribute.
  See Also:
    `GenEditorView.setActionBarContributorClassName(String)`, `GMFGenPackage.getGenEditorView_ActionBarContributorClassName()`

### setActionBarContributorClassName

    public void setActionBarContributorClassName(java.lang.String newActionBarContributorClassName)

  Specified by:
    `setActionBarContributorClassName` in interface `GenEditorView`
  Parameters:
    `newActionBarContributorClassName` - the new value of the 'Action Bar Contributor Class Name' attribute.
  See Also:
    `GenEditorView.getActionBarContributorClassName()`
  ** Generated **

### getClassNameGen

    public java.lang.String getClassNameGen()

  ** Generated **

### getClassName

    public java.lang.String getClassName()

  Description copied from interface: `GenEditorView`
  Returns the value of the 'Class Name' attribute.

  If the meaning of the 'Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getClassName` in interface `GenEditorView`
  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `GenEditorView.setClassName(String)`, `GMFGenPackage.getGenEditorView_ClassName()`

### setClassName

    public void setClassName(java.lang.String newClassName)

  Specified by:
    `setClassName` in interface `GenEditorView`
  Parameters:
    `newClassName` - the new value of the 'Class Name' attribute.
  See Also:
    `GenEditorView.getClassName()`
  ** Generated **

### getIconPathGen

    public java.lang.String getIconPathGen()

  ** Generated **

### getIconPath

    public java.lang.String getIconPath()

  Description copied from interface: `GenEditorView`
  Returns the value of the 'Icon Path' attribute.

  If the meaning of the 'Icon Path' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getIconPath` in interface `GenEditorView`
  Returns:
    the value of the 'Icon Path' attribute.
  See Also:
    `GenEditorView.setIconPath(String)`, `GMFGenPackage.getGenEditorView_IconPath()`

### getIconPathX

    public java.lang.String getIconPathX()

  Description copied from interface: `GenEditorView`
  Processes keywords that are part of iconPath, to avoid serializing processed values. FIXME derived transient feature

  Specified by:
    `getIconPathX` in interface `GenEditorView`

### setIconPath

    public void setIconPath(java.lang.String newIconPath)

  Specified by:
    `setIconPath` in interface `GenEditorView`
  Parameters:
    `newIconPath` - the new value of the 'Icon Path' attribute.
  See Also:
    `GenEditorView.getIconPath()`
  ** Generated **

### getIDGen

    public java.lang.String getIDGen()

  ** Generated **

### getID

    public java.lang.String getID()

  Description copied from interface: `GenEditorView`
  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getID` in interface `GenEditorView`
  Returns:
    the value of the 'ID' attribute.
  See Also:
    `GenEditorView.setID(String)`, `GMFGenPackage.getGenEditorView_ID()`

### setID

    public void setID(java.lang.String newID)

  Specified by:
    `setID` in interface `GenEditorView`
  Parameters:
    `newID` - the new value of the 'ID' attribute.
  See Also:
    `GenEditorView.getID()`
  ** Generated **

### getActionBarContributorQualifiedClassName

    public java.lang.String getActionBarContributorQualifiedClassName()

  Specified by:
    `getActionBarContributorQualifiedClassName` in interface `GenEditorView`
  ** Generated **
    NOT

### getQualifiedClassName

    public java.lang.String getQualifiedClassName()

  Specified by:
    `getQualifiedClassName` in interface `GenEditorView`
  ** Generated **
    NOT

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  ** Generated **

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  ** Generated **

### toString

    public java.lang.String toString()

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.